SDL_GetIOStatus(3)

NAME
SDL_GetIOStatus - Query the stream status of an SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStatus SDL_GetIOStatus(SDL_IOStream *context);

DESCRIPTION
This information can be useful to decide if a short read or write was due to an error, an EOF, or a non-blocking operation that isn't yet ready to complete. An SDL_IOStream SDL_ReadIO
 or SDL_WriteIO
 call; don't expect it to change if you just call this query function in a tight loop.

FUNCTION PARAMETERS

context
    the SDL_IOStream
     to query.

RETURN VALUE
Returns an SDL_IOStatus
 enum with the current state.

THREAD SAFETY
This function should not be called at the same time that another thread is operating on the same SDL_IOStream .

AVAILABILITY
This function is available since SDL 3.0.0.